Creates a dependency relationship between two jobs.
curl --request POST \
--url https://api.strait.dev/v1/jobs/{jobID}/dependencies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"depends_on_job_id": "<string>",
"condition": "<string>"
}
'{
"condition": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"depends_on_job_id": "<string>",
"id": "<string>",
"job_id": "<string>",
"$schema": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
curl --request POST \
--url https://api.strait.dev/v1/jobs/{jobID}/dependencies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"depends_on_job_id": "<string>",
"condition": "<string>"
}
'{
"condition": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"depends_on_job_id": "<string>",
"id": "<string>",
"job_id": "<string>",
"$schema": "<string>"
}